Name:          kanboard
Version:       1.0.8
Release:       %mkrel 2
Summary:       Simple visual task board
Group:         Office/Management

License:       GPLv3
URL:           http://www.kanboard.net
Source0:       http://github.com/fguillot/kanboard/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:     noarch

Requires:      apache
Requires:      php >= 5.3.3
Requires:      php-mbstring
Requires:      php-pdo
Requires:      apache-mod_php
Requires:      php-pdo_sqlite
 
%description
Kanboard is a simple visual task board web application.

* Inspired by the Kanban methodology 
* Get a visual and clear overview of your project
* Multiple boards with the ability to drag and drop tasks
* Minimalist software, focus only on essential features (Less is more)
* Open source and self-hosted
* Super simple installation


%prep
%setup -q
%build
#Nothing to build

%install

#Application 
mkdir -p %buildroot%{_datadir}/kanboard
mkdir -p %buildroot%{_sysconfdir}/kanboard
cp -pr * %buildroot%{_datadir}/kanboard
mkdir -p %buildroot%_webappconfdir
mkdir -p %{buildroot}%{webappconfdir}
cat > %{buildroot}%{webappconfdir}/%{name}.conf <<EOF
# %{name} configuration
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    <IfModule mod_authz_core.c>
        # Apache 2.4
        Require all granted
    </IfModule>
    <IfModule !mod_authz_core.c>
        # Apache 2.2
        Order allow,deny
        Allow from all
    </IfModule>
</Directory>
EOF


%files
%dir %{_datadir}/kanboard
%{_datadir}/kanboard/*
%attr(755, apache, apache) %{_datadir}/kanboard/data
%_webappconfdir/* 


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.0.8-2.mga6
+ Revision: 969274
- Mageia 6 Mass Rebuild

* Mon Aug 17 2015 neoclust <neoclust> 1.0.8-1.mga6
+ Revision: 865284
- imported package kanboard

